%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define _name cyber-dock

%define base_ver %(curl -fsSL https://git.omame.tech/CyberOS/cyber-build-scripts/raw/branch/master/stable/%{_name}/PKGBUILD | grep pkgver | cut -d '=' -f 2 | head -n1)
%define git_refspec %(curl -fsSL -X GET "https://git.omame.tech/api/v1/repos/CyberOS/%{_name}/commits" -H  "accept: application/json" | jq -r '.[0].sha')
%define git_refspec_short %(echo %{git_refspec} | cut -c -7)
%define build_timestamp %(date +%s)

Name: %{_name}
#Version: 1.1.0
Version: %{base_ver}git.%{build_timestamp}.%{git_refspec_short}
Release: 0%{?dist}
BuildRequires: jq
Summary:	The Cyber Desktop Dock
License:	GPLv3+
URL:		https://getcyberos.org
BuildRequires:	cmake
BuildRequires:	dbusmenu-qt5-devel
BuildRequires:	qt5-qtbase-devel qt5-qttools qt5-qttools-devel qt5-qtdeclarative-devel qt5-qtquickcontrols2-devel qt5-linguist qt5-qtx11extras-devel
BuildRequires:	kf5-kwindowsystem-devel kf5-kwayland-devel
BuildRequires:	meuikit-devel
Requires: meuikit
#Source0:	https://git.omame.tech/CyberOS/cyber-dock/archive/%%{version}.tar.gz
Source0: https://git.omame.tech/CyberOS/%{name}/archive/%{git_refspec}.tar.gz
%define patch0_refspec 24b5649d80ec988ee43452cb729d0bd6c586e94b
Patch0: https://git.omame.tech/cyberdesktop-fedora/cyberdesktop-fedora/raw/commit/%{patch0_refspec}/patches/%{name}/0000-load_launcher-icon_from_theme.patch
%description
The dock for Cyber Desktop

%prep
%setup -qn %{name}
patch -p1 -i %{PATCH0}

%build
%{set_build_flags}
cmake -B .
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%license LICENSE
%{_datadir}/cyber-dock/
%{_bindir}/cyber-dock


%changelog
* Tue Aug 03 2021 korewaChino <crkza1134@gmail.com> - 1.0.0
- Initial version
